Am 05.01.2011 21:25, Gilles Chanteperdrix wrote:
> Jan Kiszka wrote:
>> Am 03.01.2011 11:32, Wolfgang Grandegger wrote:
>>> Hi Gilles,
>>>
>>> the attached patch fixes the issue.
>>>
>>
>> Nothing critical, but I think we should consistently wrap the other way
>> around
>>
>> #if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,36)
>> #define platform_device of_device
>> #endif
>>
>> and update the users to the new style.
> 
> Err... Am I missing the obvious here? If you include
> <linux/platform_device.h> on powerpc you then get a massive mess prior
> to 2.6.36.

Maybe this is an exception, don't know the powerpc details, but
generally our drivers should be written according to latest (supported)
kernel APIs and then extended/wrapped/etc. to compile with older
versions as well.

Jan

Attachment: signature.asc
Description: OpenPGP digital signature

_______________________________________________
Xenomai-core mailing list
Xenomai-core@gna.org
https://mail.gna.org/listinfo/xenomai-core

Reply via email to